CoCoA-5 - Bug #108

Unhandled division by zero in FFp
19 Mar 2012 14:36 - John Abbott

Status: Closed Start date: 19 Mar 2012
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Parsetr/Interpreter Estimated time: 2.00 hours
Target version: CoCoA-5.0.2 Spent time: 2.00 hours
Description

Here's a sample case

Use 272/ (7) [x];

1 =2+xX-X;

£f/7; —-> ERROR: Division by zero or by a zero-divisor
(1/7)*f; --> NASTY ERROR!!
History

#1 - 19 Mar 2012 17:14 - Anna Maria Bigatti
- Category set to Parser/Interpreter

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.2

- % Done changed from 0 to 90

- Estimated time set to 2.00 h

Fixed, but the error is indicated at the operator

/**/ ERROR: Cannot embed rational number into ring
(1/7)*f;

~

The function "TypeValue::convert" in Interpreter.C throws when tying to covert 1/7 into a RingElem in RingOf(f).

It does not have enough information to indicate where the error is.

So | added 2 "try.. catch” in "RuntimeEnvironment::binaryOperatorDispatch" around "convert" for left-to-right-type and right-to-left-type.

These 2 are the only calls to "Type::convert".

#2 - 20 Mar 2012 16:21 - John Abbott
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

23 Apr 2024

1/1



http://www.tcpdf.org

